You are not logged in.

#1 2023-09-01 13:39:48

Xaqron
Member
Registered: 2023-08-25
Posts: 5

Cannot upgrade to python2

I have problem upgrading https://aur.archlinux.org/packages/python2
The problem is upgrade progress always stuck at test 303/400

0:07:12 load avg: 1.90 [290/400] test_set
0:07:16 load avg: 1.83 [291/400] test_setcomps
0:07:16 load avg: 1.83 [292/400] test_sets
0:07:17 load avg: 1.83 [293/400] test_sgmllib
0:07:17 load avg: 1.83 [294/400] test_sha
0:07:18 load avg: 1.83 [295/400] test_shelve
0:07:22 load avg: 2.00 [296/400] test_shlex
0:07:23 load avg: 2.00 [297/400] test_shutil
0:07:24 load avg: 2.00 [298/400] test_signal
0:07:33 load avg: 1.92 [299/400] test_site
0:07:34 load avg: 1.93 [300/400] test_slice
0:07:35 load avg: 1.93 [301/400] test_smtplib
0:07:35 load avg: 1.93 [302/400] test_smtpnet
0:07:36 load avg: 1.93 [303/400] test_socket -- test_smtpnet skipped (resource denied)

I have tried yay and makepkg and both leads to same result.

Offline

#2 2023-09-01 16:23:34

loqs
Member
Registered: 2014-03-06
Posts: 16,549

Re: Cannot upgrade to python2

Before investigating this further do you really require python2 which is EOL?  Is it being pulled in by yay as a dependency of something else?

Offline

#3 2023-09-01 18:54:19

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 19,456

Re: Cannot upgrade to python2

Moving to AUR issues


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Sometimes it is the people no one can imagine anything of who do the things no one can imagine. -- Alan Turing
---
How to Ask Questions the Smart Way

Online

#4 2023-09-03 10:37:15

Xaqron
Member
Registered: 2023-08-25
Posts: 5

Re: Cannot upgrade to python2

I wanna install it because it is in list of pending AURs of yay. I don't need it.

Offline

#5 2023-09-03 10:44:44

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 11,388

Re: Cannot upgrade to python2

Please check which of your installed packages does need python2 , then determine if those are worth keeping.

Post the output of

$ pacman -Qi python2

Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#6 2023-09-03 16:07:19

loqs
Member
Registered: 2014-03-06
Posts: 16,549

Re: Cannot upgrade to python2

If python2 is not currently installed please post the yay invocation and its full output that pulls it in.

Offline

Board footer

Powered by FluxBB